Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.event
Class TracerEvent

    java.lang.Object
      java.util.EventObject
          opencard.core.event.OpenCardEvent
              opencard.core.event.TracerEvent

All Implemented Interfaces:
  java.io.Serializable, OpenCardConstants, TraceLevels

    public class TracerEvent

extends OpenCardEvent
implements OpenCardConstants, TraceLevels

A `TracerEvent` signals a trace event as send by the `Tracer`.

Version:
  $Id: TracerEvent.java,v 1.1.1.1 1999/10/05 15:34:31 damke Exp $
Author:
  Dirk Husemann (hud@zurich.ibm.com), Mike Wendler (mwendler@de.ibm.com)
See Also:
  `Tracer`, `TraceLevels`, Serialized Form

Field Summary
`static int` | `TRACE_EVENT`

Fields inherited from class opencard.core.event.OpenCardEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Fields inherited from interface opencard.core.OpenCardConstants
`APPID_ENCODING, CARD_SERVICE_CACHEPATH, CARD_SERVICE_CACHETIME, CARD_SERVICE_CHECK, CARD_SERVICE_LISTER_CLASS, CARD_SERVICE_REGISTRY_TAG, CARD_SERVICE_URL, CARD_TERMINAL_REGISTRY_TAG, DEFAULT_OPENCARD_LOADER_CLASSNAME, OPENCARD_DOTPROPERTIES, OPENCARD_PROPERTIES, OPENCARD_PROPERTY, SMARTCARD_REMOVED`

Fields inherited from interface opencard.core.util.TraceLevels
`ALERT, CRITICAL, DEBUG, EMERGENCY, ERROR, INFO, levelAsString, LOWEST, NOTICE, WARNING`

Constructor Summary
`TracerEvent(int level, java.lang.Object source, java.lang.String meth, java.lang.Thread thread, java.lang.String msg)` Instantiate a `CardTerminalEvent`.
`TracerEvent(int level, java.lang.Object source, java.lang.String meth, java.lang.Thread thread, java.lang.Throwable frisbee)` Instantiate a `CardTerminalEvent`.

Method Summary
`int` | `getLevel()` Return the level.
`java.lang.String` | `getLevelName()` Return the level as a string.
`java.lang.String` | `getMessage()` Return the message contained in this event.
`java.lang.String` | `getMethodName()` Return the method contained in this event.
`java.lang.Thread` | `getThread()` Return the thread that caused this event.
`java.lang.Throwable` | `getThrowable()` Return the `Throwable` that caused this event.
`java.lang.String` | `toString()` Gets a printable representation of this object.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRACE_EVENT

    public static final int TRACE_EVENT

See Also:
  Constant Field Values

Constructor Detail

### TracerEvent

    public TracerEvent(int level,
                       java.lang.Object source,
                       java.lang.String meth,
                       java.lang.Thread thread,
                       java.lang.Throwable frisbee)

  Instantiate a `CardTerminalEvent`.

### TracerEvent

    public TracerEvent(int level,
                       java.lang.Object source,
                       java.lang.String meth,
                       java.lang.Thread thread,
                       java.lang.String msg)

  Instantiate a `CardTerminalEvent`.

Method Detail

### getThread

    public java.lang.Thread getThread()

  Return the thread that caused this event.

### getThrowable

    public java.lang.Throwable getThrowable()

  Return the `Throwable` that caused this event.

### getMessage

    public java.lang.String getMessage()

  Return the message contained in this event.

### getMethodName

    public java.lang.String getMethodName()

  Return the method contained in this event.

### getLevel

    public int getLevel()

  Return the level.

### getLevelName

    public java.lang.String getLevelName()

  Return the level as a string.

### toString

    public java.lang.String toString()

  Description copied from class: `OpenCardEvent`
  Gets a printable representation of this object.

  Overrides:
    `toString` in class `OpenCardEvent`
  Returns:
    a `String` representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD